Skip to main content

Agent reported task completion

POST
/tasks/agent-stop/{id}

Contract

Parameter
Value
Sectiontasks
AuthenticationAgentAuth
Consumesapplication/json
Producesapplication/json

Parameters

2 parameters

Name
Location
Required
Type
Description
idpathyesintegerTask ID
requestbodyyesobjectAgent hostname and optional error
  • {
      "benchmarkRunId": "<string>",
      "error": "<string>",
      "hostname": "<string>"
    }

Responses

4 responses

Status
Description
Type
200
Completion confirmedobject
400
Agent secret is missing or invalid, or the task ID or request body is invalidobject
403
Agent is not assigned to the taskobject
404
Task not foundobject
  • {}
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }